import {getAllRoleList} from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import {h} from "vue";
import {Tag} from "ant-design-vue";
import { Switch } from 'ant-design-vue';
import {useMessage} from "@/hooks/web/useMessage";
import {changeFlagApi} from "@/api/system/user/user"; // 引入开关组件
type CheckedType = boolean | string | number;

export const columns: BasicColumn[] = [
  {
    title: '姓名',
    dataIndex: 'name',
    width: 150,
  },
  {
    title: '登录名',
    dataIndex: 'username',
    width: 150,
  },
  {
    title: '用户角色',
    dataIndex: 'roleName',
    width: 150,
  },
  {
    title: '创建时间',
    dataIndex: 'createDate',
    width: 150,
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '姓名',
    component: 'Input',
    componentProps: {
      placeholder: '请输入姓名',
    },
    colProps: { span: 7 },
  },
  {
    field: 'username',
    label: '登录名',
    component: 'Input',
    componentProps: {
      placeholder: '请输入登录名',
    },
    colProps: { span: 7 },
  },
];

export const TreeData: any[] = [
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 100,
    "institutionName" : "机构管理",
    "anotherName":"机构管理",
    "parentId" : 0,
    "code": "DataGovernanceDep_product1",
    "ancestors" : "0",
    "orderNum" : 0,
    "children" : [ ],
    "selectType" : null,
    icon: 'ion:settings-outline',
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 101,
    "institutionName" : "数据平台治理部",
    "anotherName":"数据平台治理部",
    "parentId" : 100,
    "code": "DataGovernanceDep_product2",
    "ancestors" : "0,100",
    "orderNum" : 1,
    "children" : [ ],
    "selectType" : null,
    icon: 'ion:settings-outline',
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 107,
    "institutionName" : "数据资源管理部",
    "anotherName":"数据资源管理部",
    "parentId" : 100,
    "code": "DataGovernanceDep_product3",
    "ancestors" : "0,100",
    "orderNum" : 2,
    "children" : [ ],
    "selectType" : null,
    icon: 'ion:settings-outline',
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 102,
    "institutionName" : "研发部门",
    "anotherName":"研发部门",
    "parentId" : 101,
    "code": "DataGovernanceDep_product4",
    "ancestors" : "0,100,101",
    "orderNum" : 1,
    "children" : [ ],
    "selectType" : null,
    icon: 'ion:settings-outline',
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 103,
    "institutionName" : "市场部门",
    "anotherName":"市场部门",
    "parentId" : 101,
    "code": "DataGovernanceDep_product5",
    "ancestors" : "0,100,101",
    "orderNum" : 2,
    "children" : [ ],
    "selectType" : null,
    icon: 'ion:settings-outline',
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 104,
    "institutionName" : "测试部门",
    "anotherName":"测试部门",
    "parentId" : 101,
    "code": "DataGovernanceDep_product6",
    "ancestors" : "0,100,101",
    "orderNum" : 3,
    "children" : [ ],
    "selectType" : null,
    icon: 'ion:settings-outline',
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 105,
    "institutionName" : "财务部门",
    "anotherName":"财务部门",
    "parentId" : 101,
    "code": "DataGovernanceDep_product7",
    "ancestors" : "0,100,101",
    "orderNum" : 4,
    "children" : [ ],
    "selectType" : null,
    icon: 'ion:settings-outline',
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 106,
    "institutionName" : "运维部门",
    "anotherName":"运维部门",
    "parentId" : 101,
    "code": "DataGovernanceDep_product8",
    "ancestors" : "0,100,101",
    "orderNum" : 5,
    "children" : [ ],
    "selectType" : null,
    icon: 'ion:settings-outline',
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 202,
    "institutionName" : "数据部门",
    "anotherName":"数据部门",
    "parentId" : 107,
    "code": "DataGovernanceDep_product9",
    "ancestors" : "0,100,107",
    "orderNum" : 1,
    "children" : [ ],
    "selectType" : null,
    icon: 'ion:settings-outline',
  },
  {
    "delFlag" : "0",
    "flag" : "0",
    "businessId" : 203,
    "institutionName" : "检查部门",
    "anotherName":"检查部门",
    "parentId" : 107,
    "code": "DataGovernanceDep_product10",
    "ancestors" : "0,100,107",
    "orderNum" : 2,
    "children" : [ ],
    "selectType" : null,
    icon: 'ion:settings-outline',
  },
];

export const userData: any[] = [
    {
      "delFlag" : "0",
      "flag" : "1",
      "businessId" : 309,
      "username" : "yonghu1",
      "nickName" : "测试用户1",
      "userType" : "1",
      "name" : "测试用户1",
      "createDate": "2024-10-24 10:04:04",
      "institutionId" : 105,
      "institutionName" : "财务部门",
      "code":"123f",
      "identity" : "1",
      "roleIds" : null,
      "roleNames" : "三级用户",
      "roleList" : null,
      "menuList" : [ ]
    },
    {
      "delFlag" : "0",
      "flag" : "1",
      "businessId" : 310,
      "username" : "yonghu2",
      "nickName" : "测试用户2",
      "userType" : "1",
      "name" : "测试用户2",
      "createDate": "2024-10-25 10:05:05",
      "sex" : "0",
      "institutionId" : 105,
      "institutionName" : "财务部门",
      "code":"123a",
      "identity" : "1",
      "roleIds" : null,
      "roleNames" : null,
      "roleList" : null,
      "menuList" : [ ]
    },
    {
      "delFlag": "0",
      "flag": "1",
      "businessId": 317,
      "username": "yonghu3",
      "nickName": "测试用户3",
      "userType": "1",
      "name": "测试用户3",
      "createDate": "2024-10-26 10:06:06",
      "sex": "1",
      "institutionId": 102,
      "institutionName" : "研发部门",
      "code":"123c",
      "identity": "1",
      "roleIds": null,
      "roleNames": "超级管理员",
      "roleList": null,
      "menuList": []
    },
    {
      "delFlag": "0",
      "flag": "1",
      "businessId": 318,
      "username": "yonghu4",
      "nickName": "测试用户4",
      "userType": "1",
      "name": "测试用户4",
      "createDate": "2024-10-26 10:06:06",
      "sex": "1",
      "institutionId": 102,
      "institutionName" : "研发部门",
      "code":"123b",
      "identity": "1",
      "roleIds": null,
      "roleNames": "超级管理员",
      "roleList": null,
      "menuList": []
    },
    {
      "delFlag": "0",
      "flag": "1",
      "businessId": 319,
      "username": "yonghu5",
      "nickName": "测试用户5",
      "userType": "1",
      "name": "测试用户5",
      "createDate": "2024-10-26 10:06:06",
      "sex": "1",
      "institutionId": 102,
      "institutionName" : "研发部门",
      "code":"123x",
      "identity": "1",
      "roleIds": null,
      "roleNames": "超级管理员",
      "roleList": null,
      "menuList": []
    }
];

export const addUserData: any[] = [
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 400,
    "username" : "tianjia1",
    "nickName" : "添加用户1",
    "userType" : "1",
    "name" : "添加用户1",
    "roleName":"工作区访客",
    "createDate": "2024-10-24 10:04:04",
    "institutionId" : null,
    "institutionName" : "",
    "code":"123f",
    "identity" : "1",
    "roleIds" : null,
    "roleNames" : "三级用户",
    "roleList" : null,
    "menuList" : [ ]
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 402,
    "username" : "tianjia2",
    "nickName" : "添加用户2",
    "userType" : "1",
    "name" : "添加用户2",
    "roleName":"工作区访客",
    "createDate": "2024-10-25 10:05:05",
    "sex" : "0",
    "institutionId" : null,
    "institutionName" : "",
    "code":"123a",
    "identity" : "1",
    "roleIds" : null,
    "roleNames" : null,
    "roleList" : null,
    "menuList" : [ ]
  },
  {
    "delFlag": "0",
    "flag": "1",
    "businessId": 403,
    "username": "tianjia3",
    "nickName": "添加用户3",
    "userType": "1",
    "name": "添加用户3",
    "roleName":"工作区访客",
    "createDate": "2024-10-26 10:06:06",
    "sex": "1",
    "institutionId": null,
    "institutionName" : "",
    "code":"123c",
    "identity": "1",
    "roleIds": null,
    "roleNames": "超级管理员",
    "roleList": null,
    "menuList": []
  },
];

export const accountFormSchema: any[] = [

];
